<!--       
*     Copyright © 1997, 2012, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
        <link rel="stylesheet" href=
              "nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type=
              "text/css">
        <meta name="keywords" content="">

        <title>Project Properties: ApiGen</title>
    </head>

    <body>
        <h2>Project Properties: ApiGen</h2>
        <p> <small><a href="#seealso">See Also</a>&nbsp; </small> 

        <p>In this dialog you set project properties for documentation generated by
            ApiGen. You must have ApiGen installed. You must configure NetBeans
            IDE for PHP to use ApiGen, in Tools &gt; Options &gt; PHP &gt; ApiGen (On MacOS,
            this is NetBeans Preferences &gt; PHP &gt; ApiGen).</p>
        <h3>Manual Configuration or Configuration File</h3>
        <p>Select either to configure ApiGen manually, in this dialog, or to use a configuration
            file. If you select a configuration file, enter the path to an ApiGen configuration
            file in the Configuration field.</p> 
        <p>The configuration file contains parameters that are passed when you run ApiGen. You can set options in the configuration file that are not available in this dialog. For a full list of options, see <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                <param name="content" value="http://apigen.org/#usage">
                <param name="text" value="<html><u>ApiGen documentation</u></html>">
                <param name="textFontSize" value="medium">
                <param name="textColor" value="blue">
            </object>.</p>
            <h3>Manual Configuration</h3>
            <p>You can set the following parameters in this dialog:</p>
        <ul>
            <li><b>Target Directory:</b> The directory containing the generated
                ApiGen documentation.
                <ul>
                    <li><b>Browse...</b> Browse your file system for a target directory.</li>

                </ul></li>
            <li><b>Title:</b> The title of the generated documentation.</li>
            <li><strong>Configuration.</strong> Optional. 
                <ul class="note"><li>Any parameters you define elsewhere in this
                        dialog override parameters defined in a configuration file.</li></ul>

            </li>
            <li><strong>Charsets.</strong> Character set of source files. You can specify a
                comma-separated list of character sets if your PHP project uses more than one 
                character set. </li>
            <li><strong>Exclude.</strong> Optional. If you specify a file mask in this field,
                ApiGen will not parse files matching this file mask. </li>
            <li><strong>Access Levels.</strong> Access levels of methods and properties for
                which ApiGen generates documentation. By default, ApiGen does not generate
                documentation for private methods or properties.</li>
            <li><strong>Internal.</strong> Select to generate documentation for elements
                marked internal by an <code>@internal</code> annotation.</li>
            <li><strong>PHP.</strong> Select to generate documentation for PHP internal
                classes.</li>
            <li><strong>Tree.</strong> Select to generate tree view of classes, interfaces,
                traits and exceptions.</li>
            <li><strong>Deprecated.</strong> Select to generate documentation for deprecated
                elements.</li>
            <li><strong>TODO.</strong> Select to generate a list of tasks.</li>
            <li><strong>Download.</strong> Select to create a ZIP archive of documentation and
                a download link for this ZIP archive.</li>
            <li><strong>Source Code.</strong> Select to generate highlighted source code for
                user-defined elements.</li>

        </ul>        

        <dl> 
            <dt><a name="seealso">See Also</a></dt>
            <dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                    <param name="content" value="http://apigen.org/#usage">
                    <param name="text" value="<html><u>ApiGen documentation</u></html>">
                    <param name="textFontSize" value="medium">
                    <param name="textColor" value="blue">
                </object></dd>
            <dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                    <param name="content" value="https://blogs.oracle.com/netbeansphp/entry/apigen_support_added">
                    <param name="text" value="<html><u>ApiGen Support Added</u></html>">
                    <param name="textFontSize" value="medium">
                    <param name="textColor" value="blue">
                </object> (NetBeans PHP blog)</dd>
            <dd><a href="../options-csh/apigen.html">PHP Options: ApiGen</a> (Context-sensitive help for the Options &gt; PHP &gt; ApiGen dialog)
            </dd></dl>
        <hr>
        <p>
            <small><a href="../credits.html">Legal Notices</a></small>
        </p>
    </body>
</html>
